Document of c-modernization-kit (override-sample) 1.0.0

Loading...
Searching...
No Matches
Macros | Functions
libbase_ext.h File Reference

オーバーライドライブラリ (動的リンク用) のヘッダーファイル。 More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | BASE_EXT_EXPORT
| DLL エクスポート/インポート制御マクロ。
#define | BASE_EXT_API
| 呼び出し規約マクロ。

## Functions
BASE_EXT_EXPORT int BASE_EXT_API | override_func (const int a, const int b, int *result)
| sample_func のオーバーライド実装。

## Detailed Description

オーバーライドライブラリ (動的リンク用) のヘッダーファイル。

Author
  c-modenization-kit sample team

Date
  2026/02/21

Version
  1.0.0

このライブラリは libbase から動的にロードされ、
処理を引き受けるオーバーライド関数を提供します。

Copyright
  Copyright (C) CompanyName, Ltd. 2026. All rights reserved.

Definition in file libbase_ext.h.

## Macro Definition Documentation

## ◆ BASE_EXT_EXPORT

#define BASE_EXT_EXPORT

DLL エクスポート/インポート制御マクロ。

ビルド条件に応じて以下の値を取ります。

条件 | 値
--- | ---
Linux (非 Windows) | (空)
Windows / __INTELLISENSE__ 定義時 | (空)
Windows / BASE_EXT_STATIC 定義時 (静的リンク) | (空)
Windows / BASE_EXT_EXPORTS 定義時 (DLL ビルド) | __declspec(dllexport)
Windows / BASE_EXT_EXPORTS 未定義時 (DLL 利用側) | __declspec(dllimport)

Definition at line 35 of file libbase_ext.h.

## ◆ BASE_EXT_API

#define BASE_EXT_API

呼び出し規約マクロ。

Windows 環境では __stdcall 呼び出し規約を指定します。
Linux (非 Windows) 環境では空に展開されます。
既に定義済みの場合は再定義されません。

Definition at line 44 of file libbase_ext.h.

Referenced by override_func().

## Function Documentation

## ◆ override_func()

BASE_EXT_EXPORT int BASE_EXT_API override_func | ( | const int | a,
|  | const int | b,
|  | int * | result )
| extern

sample_func のオーバーライド実装。

Parameters

  [in] | a | 第一オペランド。
  [in] | b | 第二オペランド。
  [out] | result | 計算結果を格納するポインタ。

Returns
  成功時は 0、失敗時は -1 を返します。

libbase の sample_func から動的にロードされ呼び出されます。
a * b を計算して result に格納します。

使用例
  int result;
  if (override_func(1, 2, &result) == 0) {
  console_output("result: %d\n", result); // 出力: result: 2
  }
  console_output
  BASE_EXPORT void BASE_API console_output(const char *format,...)
  printf と同じ書式でコンソールに出力します。
  Definition console_output.c:21
  override_func
  BASE_EXT_EXPORT int BASE_EXT_API override_func(const int a, const int b, int *result)
  sample_func のオーバーライド実装。
  Definition override_func.c:21

Warning
  result が NULL の場合は -1 を返します。

Definition at line 21 of file override_func.c.

References BASE_EXT_API, and console_output().

Here is the call graph for this function: